# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Consumer Profile Management response codes Error codes help you debug issues that occur as a result of sending badly formatted requests. The `responseMessage` is a short string that provides a brief explanation. The following tables list the available reason codes, as well as their possible causes. The following fields are in the body of the response: - responseStatus: Valid values include: SUCCESS, DENIED, or ERROR. SUCCESS means the request was approved by the issuer or completed successfully. ERROR is only returned for 4XX or 5XX responses. - responseCode: This field contains a shorter description of the processing result. For 200 responses, this may be displayed to the consumer. - responseMessage: This field contains a longer, more descriptive message. These messages are not intended to be displayed to the consumer. - hostMessage: The term "host" refers to the system from which J.P. Morgan has received a response. The hostMessage is mapped to J.P. Morgan’s response fields, but the unaltered message is returned, if received. For 5XX responses, the presence of this field indicates where the error exists. - validationErrors: This is an array with details of the error. ## Successful responses (200-299) In general, a `2XX` status code indicates that a request has successfully processed. For all actions related to creating or updating consumer profiles, a successful response will also include the consumer profile returned in the response body. ## Client error responses (400-499) A `4XX` status code indicates that an error has occurred during request, and provides a list of specific codes. Additional fields are provided in the body of the response to help identify the error. Address the problem, and then resubmit the request. **HTTP 4XX status codes** | HTTP status code | responseStatus | responseCode | responseMessage | | --- | --- | --- | --- | | 400 | ERROR | MP_REQ_001 | Invalid request parameters provided | | 400 | ERROR | MP_REQ_PROF_002 | Request validation error | | 400 | ERROR | MP_REQ_PROF_003 | Request ID is duplicate | | 400 | ERROR | MP_REQ_PROF_005 | Missing firstName | | 400 | ERROR | MP_REQ_PROF_006 | Missing lastName | | 400 | ERROR | MP_REQ_PROF_008 | Profile Status can be ACTIVE or INACTIVE | | 400 | ERROR | MP_REQ_PROF_009 | Communication method name not valid | | 400 | ERROR | MP_REQ_PROF_010 | Communication default indicator not valid | | 400 | ERROR | MP_REQ_PROF_011 | Communication method value cannot be null or empty | | 400 | ERROR | MP_REQ_PROF_012 | Multiple default communication methods of one type | | 400 | ERROR | MP_REQ_PROF_013 | Must have one default communicaton method of type | | 400 | ERROR | MP_REQ_PROF_017 | Number of communications of a type in profile exceeds limit | | 400 | ERROR | MP_REQ_PROF_020 | The profile with the given consumer profile Id is INACTIVE | | 400 | ERROR | MP_REQ_PROF_023 | Communication method already exists in profile | | 400 | ERROR | MP_REQ_PROF_025 | Cannot perform update. Violates length constraint on communicationMethodValue for communicationMethodName | | 400 | ERROR | MP_REQ_PROF_027 | Invalid email address. | | 400 | ERROR | MP_REQ_PROF_028 | Unable to delete or update profile due to payment method with subscription | | 400 | ERROR | MP_REQ_ADDR_001 | primaryAddressIndicator should be true or false | | 400 | ERROR | MP_REQ_ADDR_002 | Multiple shipping address cannot have primaryAddressIndicator as true | | 400 | ERROR | MP_REQ_ADDR_003 | addressType is mandatory with valid values SHIPPING or BILLING | | 400 | ERROR | MP_REQ_ADDR_005 | Given billing address is in use for profile | | 400 | ERROR | MP_REQ_ADDR_006 | One shipping address with primaryAddressIndicator as true is required | | 400 | ERROR | MP_REQ_ADDR_007 | Address is duplicate | | 400 | ERROR | MP_REQ_ADDR_008 | One shipping address should have primaryAddressIndicator as true | | 400 | ERROR | MP_REQ_ADDR_010 | Number of addresses in profile exceeds limit | | 400 | ERROR | MP_REQ_ADDR_011 | Address Status should be 'CTIVE or INACTIVE | | 400 | ERROR | MP_REQ_ADDR_012 | Address addition / updation with given country cannot be supplied | | 400 | ERROR | MP_REQ_PYMT_001 | Profile should have at least one payment method | | 400 | ERROR | MP_REQ_PYMT_002 | fullName can not be null or empty | | 400 | ERROR | MP_REQ_PYMT_003 | primaryCardTypeIndicator should be true or false | | 400 | ERROR | MP_REQ_PYMT_004 | Only one payment method should have primaryCardTypeIndicator as true | | 400 | ERROR | MP_REQ_PYMT_005 | cardType is mandatory in a payment method | | 400 | ERROR | MP_REQ_PYMT_006 | accountStatus should be ACTIVE or INACTIVE | | 400 | ERROR | MP_REQ_PYMT_007 | Card expiration date should not be null or empty, format as MM/YYYY | | 400 | ERROR | MP_REQ_PYMT_008 | addressType associated with payment method should be BILLING | | 404 | ERROR | MP_REQ_PROF_007 | Profile with given ID not found | | 404 | ERROR | MP_REQ_PROF_026 | Cannot update. No communication with previousCommunicationMethodValue found | | 404 | ERROR | MP_REQ_ADDR_004 | Given address does not exist in profile | | 404 | ERROR | MP_REQ_PYMT_009 | Payment method does not exist in profile | | 404 | ERROR | MP_REQ_PYMT_011 | Payment method is primary in profile | | 404 | ERROR | MP_REQ_PYMT_012 | Profile should have at least one payment method | | 404 | ERROR | MP_REQ_PYMT_013 | Duplicate payment method not allowed | | 404 | ERROR | MP_REQ_PYMT_014 | Missing accountNumber in Payment Method | | 404 | ERROR | MP_REQ_PYMT_015 | Number of payment methods exceeds the maximum allowed limit | | 404 | ERROR | MP_REQ_PYMT_016 | One payment method with primaryCardTypeIndicator as true is required | | 404 | ERROR | MP_REQ_PYMT_017 | Card expiration date should be a future date | | 404 | ERROR | MP_REQ_PYMT_018 | irstName cannot be null or empty | | 404 | ERROR | MP_REQ_PYMT_019 | lastName cannot be null or empty | | 404 | ERROR | MP_REQ_PYMT_020 | Unable to delete or update payment method with subscription | | 404 | ERROR | MP_REQ_PYMT_021 | Accepted values for cardType are VI, MC, AX, or DI | | 404 | ERROR | MP_REQ_PYMT_022 | t least 1 account should be Active | | 404 | ERROR | MP_REQ_PYMT_023 | Profile with given Payment Method ID not found | ## Server error responses (500-599) A `5XX` status code indicates that an error has occurred within the J.P. Morgan (or acquirer) environment during the request. Additional fields are provided in the body of the response to identify the error. **HTTP 5XX status codes** | HTTP status code | responseStatus | responseCode | responseMessage | | --- | --- | --- | --- | | 500 | ERROR | MP_RES_SVC_001 | Internal error | | 500 | ERROR | MP_RES_SVC_002 | Internal error | | 500 | ERROR | MP_RES_SVC_003 | Internal error | | 500 | ERROR | MP_RES_SVC_004 | Internal error | | 500 | ERROR | MP_RES_SVC_005 | Internal error | | 500 | ERROR | MP_REQ_PROF_024 | Internal error |